Показано с 1 по 3 из 3

Тема: Почему для обновления WordPress не хватает прав доступа?

  1. #1
    Junior Member
    Регистрация
    11.09.2021
    Сообщений
    2

    По умолчанию Почему для обновления WordPress не хватает прав доступа?

    Приветствую.
    ISPmanager 6
    При попытке обновить сам wordpress, плагин или просто залить картинку какую-то из админки, wordpress пишет что ему не хватает прав и просит обновлять через FTP, но даже через FTP не обновляется и выскакивает ошибка "An error occurred while updating..."
    Пробовал сравнить права на других панелях и там 755 хватает на папки чтобы обновить плагин или загрузить картинку из админки. А на ispmanager нужно 777 поставить.
    Это же бред.
    Подскажите пожалуйста как это исправить?
    Изображения Изображения
    • Тип файла: jpg cmod.jpg (7.1 Кб, Просмотров: 2)
    • Тип файла: jpg error.jpg (17.9 Кб, Просмотров: 5)
    Последний раз редактировалось dmaty; 11.09.2021 в 15:00.

  2. #2
    Senior Member
    Регистрация
    09.04.2013
    Адрес
    Москва
    Сообщений
    2,101

    По умолчанию

    Переключить php на любой из вариантов
    1) apache itk (httpd)
    2) php-fpm
    3) FastCGI
    По умолчанию apache работает от www-data либо apache и вкупе с правами 755 он не может писать в папки пользователей

  3. #3
    Junior Member
    Регистрация
    11.09.2021
    Сообщений
    2

    По умолчанию

    Цитата Сообщение от Mobiaaa Посмотреть сообщение
    Переключить php на любой из вариантов
    1) apache itk (httpd)
    2) php-fpm
    3) FastCGI
    По умолчанию apache работает от www-data либо apache и вкупе с правами 755 он не может писать в папки пользователей
    ни один из вариантов не помог(

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •